<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

//Consultar empresa
$sqlCta = "SELECT * FROM cta WHERE id_cta=$id_cta order by nombre";
$conCta = $bdDepen -> consulta("$sqlCta");	
$nro=1;
$resCta = $bdDepen -> fetch_assoc($conCta);
$nombre = utf8_encode($resCta['nombre']);
$nombre_plano = utf8_encode($resCta['nombre_plano']);
$nit = $resCta['nit'];
$nit_plano = $resCta['nit_plano'];
$activo = $resCta['activo'];
$modo = $resCta['modo'];
$comentario = utf8_encode($resCta['comentario']);
$fecha_creacion = $resCta['fecha_creacion'];
$id_fk_cliente_fact = $resCta['id_fk_cliente_fact'];
$arl_cta = $resCta['arl_cta'];
$permanente = $resCta['permanente'];


//Consultar grupo
$sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_fk_cliente_fact'";
$conGrupo = $bdFact->consulta($sqlGrupo);
$resGrupo = $bdFact->fetch_assoc($conGrupo);
$grupo_pin = utf8_encode($resGrupo['nom_cli']);

$array_cta_pin[]=array('id_cta_pin'=>$id_cta, 'nombre_pin'=>$nombre, 'nombre_plano_pin'=>$nombre_plano, 'nit_pin'=>$nit, 'nit_plano_pin'=>$nit_plano, 'estado_pin'=>$activo, 'comentario_pin'=>$comentario, 'modo_pin'=>$modo, 'fecha_pin'=>$fecha_creacion, 'grupo_pin'=>$grupo_pin, 'arl_cta'=>$arl_cta, 'id_fk_cliente_fact'=>$id_fk_cliente_fact);

$sqlUserCta = "SELECT u_cta.*, us.* FROM user_cta u_cta JOIN user us ON(u_cta.id_user_fk=us.id_user) WHERE u_cta.id_cta_fk=$id_cta order by nombre";
$conUserCta = $bdDepen -> consulta("$sqlUserCta");	
$nro=1;
while($resUserCta = $bdDepen -> fetch_assoc($conUserCta)):
    $nombre = utf8_encode($resUserCta['nombre']);
    $id_user = $resUserCta['id_user'];
    $login = utf8_encode($resUserCta['login']);
    $password = utf8_encode($resUserCta['password']);
    $activo = $resUserCta['activo'];
    $comentario = utf8_encode($resUserCta['comentario']);
    $menu = $resUserCta['menu'];
    $id_user_cta = $resUserCta['id_user_cta'];
    $crear_fact_elect = $resUserCta['crear_fact_elect'];

    $array_usuario_rela[] = array('nro_userRela'=>$nro++, 'id_user_cta_userRela'=>$id_user, 'id_cta_fk_userRela'=>$id_cta, 'id_user_fk_userRela'=>$id_user_fk, 'nombre_plano_userRela'=>$nombre_plano, 'nombre_userRela'=>$nombre, 'login_userRela'=>$login, 'password_userRela'=>$password, 'activo'=>$activo, 'comentario_userRela'=>$comentario, 'menu'=>$menu, 'id_user_cta'=>$id_user_cta, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'crear_fact_elect'=>$crear_fact_elect);

endwhile;


//Factura Electrónica
$sqlFactElectr = "SELECT * FROM empresa WHERE id_cta_emp_fact=$id_cta and tipo_plataforma_emp_fact=0";
$conFactElectr = $bdFactElectr->consulta($sqlFactElectr);
$resFactElectr = $bdFactElectr->fetch_assoc($conFactElectr);
$id_emp_fact = $resFactElectr['id_emp_fact'];
$reso_emp_fact = $resFactElectr['reso_emp_fact'];
$prefijo_emp_fact = $resFactElectr['prefijo_emp_fact'];
$cant_emp_fact = $resFactElectr['cant_emp_fact'];
$estado_emp_fact = $resFactElectr['estado_emp_fact'];
$paque_emp_fact = $resFactElectr['paque_emp_fact'];
$dia_reno_emp_fact = $resFactElectr['dia_reno_emp_fact'];
$mes_reno_emp_fact = $resFactElectr['mes_reno_emp_fact'];
$ano_reno_emp_fact = $resFactElectr['ano_reno_emp_fact'];

$fecha_reno_emp_fact = $ano_reno_emp_fact."-".anteponer_cero($mes_reno_emp_fact)."-".anteponer_cero($dia_reno_emp_fact);

if($cant_emp_fact != ''):

    $sqlCantFactElectr = "SELECT * FROM facturas WHERE id_emp_fact_fk_id_fact=$id_emp_fact and id_cta_fk_soli_fact=$id_cta ORDER BY id_soli_fact DESC";
    $conCanFactElectr = $bdFactElectr->consulta($sqlCantFactElectr);
    $resCanFactElectr = $bdFactElectr->fetch_assoc($conCanFactElectr);
    $nroFactElectr = $bdFactElectr->num_rows($conCanFactElectr);
    $nro_soli_fact = $resCanFactElectr['nro_soli_fact'];
    

    $array_fact_elec[] = array('cant_emp_fact'=>$cant_emp_fact, 'reso_emp_fact'=>$reso_emp_fact, 'prefijo_emp_fact'=>$prefijo_emp_fact, 'estado_emp_fact'=>$estado_emp_fact, 'paque_emp_fact'=>$paque_emp_fact, 'nombre_plano'=>$nombre_plano, 'fecha_reno_emp_fact'=>$fecha_reno_emp_fact, 'nro_fect_realizadas'=>$nro_soli_fact, 'ult_fact'=>$nroFactElectr, 'id_emp_fact'=>$id_emp_fact, 'dia_reno_emp_fact'=>$dia_reno_emp_fact, 'mes_reno_emp_fact'=>$mes_reno_emp_fact, 'ano_reno_emp_fact'=>$ano_reno_emp_fact);

endif;


/*echo "<br><br>";
echo "array_usuario_rela: ";
echo('<pre>');
var_dump($array_usuario_rela);
echo('</pre>');*/

//Vista de la relación de datos
require("dep_consul_empresa_pin_vista.php");
?>